        .code
        .import _mFdynload,code
        .export &mFNAME,entry,long_return
&mFNAME
	.proc
	.callinfo calls, save_rp, frame=16, args_saved
	.entry
	stw     %r2,-20(%sp)
	addil    LT'D.&mFNAME,%r19,%r1
 	ldw     RT'D.&mFNAME(%r1),%r29
 	ldw     0(%r29),%r28
	combf,=	%r28,%r0,T.&mFNAME
	stw     %r2,-24(%sp)
	ldo     64(%sp),%sp
	stw     %r23,-112(%sp)
	stw     %r24,-108(%sp)
	stw     %r25,-104(%sp)
	stw     %r26,-100(%sp)
	copy	%r29, %r23
	addil	lt'L.&mFNAME,%r19,%r1
	ldw     rt'L.&mFNAME(%r1),%r26
	addil	lt'S.&mFNAME,%r19,%r1
	ldw     rt'S.&mFNAME(%r1),%r25
	addil   lt'PL.&mFNAME,%r19,%r1
	ldw     rt'PL.&mFNAME(%r1),%r1
	ldw     0(%r1),%r24
	ldi	&mFflag,%r29
	bl	_mFdynload,%r2
	stw     %r29,-52(%sp)
	ldw     -100(%sp),%r26
	ldw     -104(%sp),%r25
	ldw     -108(%sp),%r24
	ldw     -112(%sp),%r23
	ldo	-64(%sp),%sp
T.&mFNAME
	ldw	-2(%r28),%r22
	ldw	2(%r28),%r19
	ldsid	(%r22),%r1
	mtsp	%r1,%sr0
	be	0(%r22)
	ldw	-20(%sp),%r2
	.exit
	.procend
        .data
	.align  4
PL.&mFNAME
	.word		P'&mFNAME
D.&mFNAME
	.word	0
S.&mFNAME
        .stringz        "&mFNAME"
L.&mFNAME
        .stringz        "&mFNAM2"
